[pass] [PATCH 3/4] Use a glob in the pattern match instead of using two comparisons for [yY].
Chris Down
chris at chrisdown.name
Fri Sep 13 07:50:47 CEST 2013
---
src/password-store.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/password-store.sh b/src/password-store.sh
index b6a13a2..8a652ed 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -75,7 +75,7 @@ git_add_file() {
}
yesno() {
read -p "$1 [y/N] " response
- [[ $response == "y" || $response == "Y" ]] || exit 1
+ [[ $response == [yY] ]] || exit 1
}
#
# BEGIN Platform definable
--
1.8.4
More information about the Password-Store
mailing list